<script setup>
import { useRouter } from "vue-router";
import BaseButton from "@/components/BaseButton.vue";

const router = useRouter();
</script>

<template>
  <div>
    <h5 class="card-header d-flex justify-content-between">
      <div>Welcome!</div>
    </h5>
    <div class="card-body">
      <h5 class="card-title">Welcome to the game of story-point poker.</h5>
      <p>
        This site is free and will remain free. There are no limitations or pay
        walls. The only limitations are the features we don't have.
      </p>
      <p class="fw-bold">
        We hope this tool helps make your daily meetings end a little faster.
      </p>
      <div class="card-text row g-2">
        <div class="col-12 d-flex flex-column text-center fw-bold fs-5">
          Create a new session or join one.
        </div>
        <div class="col-12 col-md-6 d-flex flex-column text-center">
          Create a new session.
          <BaseButton variant="success" @click="router.push('create')">
            Create
          </BaseButton>
        </div>
        <div class="col-12 col-md-6 d-flex flex-column text-center">
          Join an existing session.
          <BaseButton variant="info" @click="router.push('join')">
            Join
          </BaseButton>
        </div>
      </div>
    </div>
  </div>
</template>

<style scoped></style>
